<div class="container">
    <div class="row first">
        <div class="col status">
            <label for="status" class="status-label">Status:</label>
            <label for="status" class="status-value" [ngStyle]="{'background-color': (tempretureStatus =='stable') ? 'green' : (tempretureStatus =='freezing') ? 'skyblue' : (tempretureStatus =='error') ? 'red' : (tempretureStatus =='high') ? 'orangered' : 'yellow', 'color': 'white'}" >{{tempretureStatus}}</label>
        </div>
        <div class="col graph">
            <app-graph [tempretureValue]="tempretureValue" [tempretureStatus]="tempretureStatus"></app-graph>
        </div>
    </div>
    <div class="row second">
        <div class="col action">
            <button class="action-button start-cooling" (click) = "startCoolingClick()" >Start Cooling</button>
        </div>
        <div class="col action">
            <button class="action-button extreme-cooling" (click) = "extremeCoolingClick()" >Extreme Cooling</button>
        </div>
        <div class="col action">
            <button class="action-button stop-cooling" (click) = "stopCoolingClick()" >Stop Cooling</button>
        </div>
    </div>
</div>